// Load the Visualization API and the piechart package.
google.load('visualization', '1.0', {'packages':['table']});

// Set a callback to run when the Google Visualization API is loaded.
google.setOnLoadCallback(drawChart);

// Callback that creates and populates a data table,
// instantiates the pie chart, passes in the data and
// draws it.
function drawChart() {
    
    var query = new google.visualization.Query('https://docs.google.com/spreadsheets/d/1A_MbcTNK6FuiSzz7Qm9WtzoMhCX_V-ZOr3n6ufIWkfE/edit?usp=sharing&range=A1:C5',headers=1);
    
    query.send(handleQueryResponse);

} //end of the drawChart() function

function handleQueryResponse(response) {
    if (response.isError()) {
        alert('Error in query: ' + response.getMessage() + ' ' + response.getDetailedMessage());
        return;
    }
    
    var options = {
        'width':400,
        'height':300,
    };

    var data = response.getDataTable();
    var chart = new google.visualization.Table(document.getElementById('chart_div'));
    chart.draw(data, options);
    
}